## org.w3c.tools.sexpr
Class SExprParserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.w3c.tools.sexpr.SExprParserException

public class SExprParserException
extends java.lang.Exception

An exception class for syntax errors detected during s-expression parsing.

See Also:
  Serialized Form

Constructor Summary
`SExprParserException(char illegalChar)` Initialize the exception with a message about an illegal character.
`SExprParserException(java.lang.String explanation)` Initialize the exception with an explanatory message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SExprParserException

    public SExprParserException(java.lang.String explanation)

  Initialize the exception with an explanatory message.

### SExprParserException

    public SExprParserException(char illegalChar)

  Initialize the exception with a message about an illegal character.